Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType Class Reference

`#include <DataType.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType:
[legend]
Collaboration diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType:
[legend]

## Public Member Functions
| DataType ()
| DataType (PlainOldDataType iPod, uint8_t iExtent=1)
PlainOldDataType | getPod () const
void | setPod (PlainOldDataType iPod)
uint8_t | getExtent () const
void | setExtent (uint8_t iExtent)
size_t | getNumBytes () const
bool | operator== (const DataType &b) const
bool | operator< (const DataType &b) const

## Detailed Description

The DataType class is a description of how an element of a sample in a Scalar or an Array property is stored. It does not contain an interpretation this is left to the metadata of the properties themselves.

## Constructor & Destructor Documentation

## ◆ DataType() [1/2]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::DataType | ( |  | ) |
| inline

Default constructor Sets the DataType to an unknown DataType with extent 0. This is obviously an invalid storage description, and is used in cases where we need to indicated that a DataType could not be determined.

## ◆ DataType() [2/2]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::DataType | ( | PlainOldDataType | iPod,
|  | uint8_t | iExtent = 1 )
| inlineexplicit

Explicit constructor. Takes a pod and an extent. By default the extent is 1. For String and Wstring types, the extent must be 1.

## Member Function Documentation

## ◆ getExtent()

uint8_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::getExtent | ( |  | ) | const
| inline

Return the 8-bit extent ...

## ◆ getNumBytes()

size_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::getNumBytes | ( |  | ) | const
| inline

Returns the number of bytes occupied by a single datum. (element) The assumption that each element has a fixed size in memory is a core assumption in Alembic.

String DataTypes are a troublesome problem. A single string datum does not have a fixed number of bytes associated with it. So we are returning, here, the size of the std::string and std::wstring datatypes, respectively.

## ◆ getPod()

PlainOldDataType Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::getPod | ( |  | ) | const
| inline

Default copy constructor used. Default assignment operator used.

Return the PlainOldDataType enum ...

## ◆ operator<()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::operator< | ( | const DataType & | b | ) | const
| inline

Returns whether one datatype is lexigraphically "less" than another - this has meaning only so that DataType instances can be meaningfully sorted.

## ◆ operator==()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::operator== | ( | const DataType & | b | ) | const
| inline

Equality operator ...

## ◆ setExtent()

void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::setExtent | ( | uint8_t | iExtent | ) |
| inline

Set the 8-bit extent ...

## ◆ setPod()

void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::DataType::setPod | ( | PlainOldDataType | iPod | ) |
| inline

Set the PlainOldDataType ...

The documentation for this class was generated from the following file:

- AbcCoreAbstract/DataType.h